[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStringList.Load

Load stringlist from stream.

## Declaration

Source position: objects.pp line 531

`constructor TStringList.Load(`
`var S: TStream`
`);`

## Description

The Load constructor reads the TStringList object from the stream S. It also reads the descriptions of the strings from the stream. The string descriptions are stored as an array of TstrIndexrec records, where each record describes a string on the stream. These records are kept in memory.

## Errors

If an error occurs, a stream error is triggered.

## See also

TStringList.Done |  | Clean up the instance

Documentation generated on: Feb 26 2014